things necessary for Sun Solaris 9 @ sparc


git-svn-id: https://asn1c.svn.sourceforge.net/svnroot/asn1c/trunk@506 59561ff5-6e30-0410-9f3c-9617f08c8826
diff --git a/asn1c/check-parsing.sh b/asn1c/check-parsing.sh
index c5c2d6a..5480d0b 100755
--- a/asn1c/check-parsing.sh
+++ b/asn1c/check-parsing.sh
@@ -2,6 +2,8 @@
 
 tmpfile=".check-parsing.$$.tmp"
 
+diff -a . . 2>/dev/null && diffArgs="-a"
+
 ec=0
 
 for ref in ../tests/*.asn1.-*; do
@@ -10,7 +12,7 @@
 	echo "Checking $src against $ref"
 	./asn1c "-$flags" "$src" > "$tmpfile" || ec=$?
 	if [ $? = 0 ]; then
-		diff -a -u "$ref" "$tmpfile" || ec=$?
+		diff $diffArgs -u "$ref" "$tmpfile" || ec=$?
 	fi
 	if [ "$1" != "regenerate" ]; then
 		rm -f "$tmpfile"